Bug 1883045 - Consider dropping the "(GTK)" patch
Summary: Consider dropping the "(GTK)" patch
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: qalculate-gtk
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-27 20:26 UTC by Peter Simonyi
Modified: 2020-11-24 03:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 03:06:52 UTC
Type: Feature Request
Embargoed:


Attachments (Terms of Use)

Description Peter Simonyi 2020-09-27 20:26:12 UTC
Description of problem:
Upstream's .desktop file uses the name "Qalculate!", which Fedora changes to "Qalculate! (GTK)".  That was a reasonable solution circa 2007[1] when upstream produced both GTK and QT interfaces.  But the QT interface has been unmaintained upstream for a long time; it's clear the GTK interface is primary and the QT one a historical vestige.

I think the "(GTK)" is unattractive, so I propose letting qalculate-gtk.desktop have "Name=Qalculate!".  It will still be distinct from qalculate-kde, but the currently-maintained program will get to use its upstream name unadulterated.


[1] https://src.fedoraproject.org/rpms/qalculate-gtk/c/029ffe6fc602c83736766769c41d9713510891d0
This patch has changed to a sed one-liner since then.

Comment 1 Mukundan Ragavan 2020-09-27 20:41:49 UTC
Don't we still have qalculate-kde?

Comment 2 Peter Simonyi 2020-09-27 21:08:17 UTC
We still have a qalculate-kde package, it just has no upstream anymore.  It's been at version 0.9.7.10 since 2014.

My proposal still leaves the two with distinct display names, but it gives the "better" name to the active one:

qalculate-gtk changes to -> "Qalculate!"
qalculate-kde stays with -> "Qalculate! (KDE)"

Comment 3 Mukundan Ragavan 2020-09-28 22:12:38 UTC
Fair enough. Qalculate releases happen fairly often. I will drop the patch when I update it next time.

Comment 4 Peter Simonyi 2020-10-28 20:08:58 UTC
Thanks -- and here's a reminder about this for the new release :)

Comment 5 Fedora Update System 2020-10-29 01:03:23 UTC
FEDORA-2020-f58fd7bf6e has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f58fd7bf6e

Comment 6 Mukundan Ragavan 2020-10-29 01:03:44 UTC
Thanks for the reminder, I did forget.

Now fixed.

Comment 7 Fedora Update System 2020-10-30 01:15:50 UTC
FEDORA-2020-f58fd7bf6e has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f58fd7bf6e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f58fd7bf6e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Peter Simonyi 2020-10-31 20:39:08 UTC
Thanks, it looks much nicer now.

Comment 9 Fedora Update System 2020-11-04 03:02:08 UTC
FEDORA-2020-f58fd7bf6e has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.